Image version status
Documentation for Image version status
Return the status of the image version identified by .
https://api.multiplay.co.uk/cfp/v1/imageversion/<imageversionid>/status
Request Parameters
| VARIABLE | DESCRIPTION | OPTIONAL |
| accountserviceid | The parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No |
| imageversionid | The parameter identifies the game image version. The is returned by a previous call to Image Create Version. | No |
Response Fields
Field | Type | Description | Optional |
|---|
| imageversionid | integer | ID of the image version being used | No |
| jobcreated | integer | Unix timestamp of when the job was created | No |
| joberror | string | Message indicating the job error | Yes |
| jobeta | integer | Unix timestamp representing the time at which the job is expected to complete | Yes |
| jobfailed | integer | Numeric flag indicating whether the job has failed | No |
| jobprogress | integer | Percentage between 0 and 100 indicating job progress | No |
| jobstart | string | Unix timestamp of when the job was started | Yes |
| jobstateid | integer | Job state ID indicating the state of the job | Yes |
| jobstatename | string | Name of the job state | No |
| jobupdated | integer | Unix timestamp of when the job was last updated | No |
| success | boolean | Flag indicating whether this request was a success | No |
Possible job states (values of )
| DESCRIPTION |
| Created (new job) |
| Pending (waiting to be queued) |
| Queued (waiting to be processed) |
| Running |
| Completed |
| Failed |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/imageversion/<imageversionid>/status?accountserviceid=<accountserviceid>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "imageversionid": <imageversionid>, "jobcreated": <jobcreated>, "joberror": <joberror>, "jobeta": <jobeta>, "jobfailed": <jobfailed>, "jobprogress": <jobprogress>, "jobstart": <jobstart>, "jobstateid": <jobstateid>, "jobstatename": <jobstatename>, "jobupdated": <jobupdated>, "success": true}